com.h3c.util.pkt

## Enum LldpTlv.Capability

- java.lang.Object
- - java.lang.Enum<LldpTlv.Capability>
  - - com.h3c.util.pkt.LldpTlv.Capability

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<LldpTlv.Capability>
  Enclosing class:
    LldpTlv

      public static enum LldpTlv.Capability
      extends Enum<LldpTlv.Capability>
      implements ProtocolEnum

  Capabilities (bitmask enumeration).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BRIDGE` Bridge capability type
    `DOCSIS` DOCSIS capability type.
    `NONE` Default (not set).
    `OTHER` Other capability type.
    `PHONE` Phone capability type.
    `REPEATER` Repeater capability type.
    `ROUTER` Router capability type.
    `STATION_ONLY` Station-only capability type.
    `WLAN_AP` WLAN access point capability type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static boolean` | `has(LldpTlv.Capability[] caps1, LldpTlv.Capability... caps2)` Returns true if all the `caps2` are contained within the `caps1` array.
    `static LldpTlv.Capability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LldpTlv.Capability[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final LldpTlv.Capability NONE

      Default (not set).

    - #### OTHER

          public static final LldpTlv.Capability OTHER

      Other capability type.

    - #### REPEATER

          public static final LldpTlv.Capability REPEATER

      Repeater capability type.

    - #### BRIDGE

          public static final LldpTlv.Capability BRIDGE

      Bridge capability type

    - #### WLAN_AP

          public static final LldpTlv.Capability WLAN_AP

      WLAN access point capability type.

    - #### ROUTER

          public static final LldpTlv.Capability ROUTER

      Router capability type.

    - #### PHONE

          public static final LldpTlv.Capability PHONE

      Phone capability type.

    - #### DOCSIS

          public static final LldpTlv.Capability DOCSIS

      DOCSIS capability type.

    - #### STATION_ONLY

          public static final LldpTlv.Capability STATION_ONLY

      Station-only capability type.

  - ### Method Detail

    - #### values

          public static LldpTlv.Capability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LldpTlv.Capability c : LldpTlv.Capability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LldpTlv.Capability valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

    - #### has

          public static boolean has(LldpTlv.Capability[] caps1,
                    LldpTlv.Capability... caps2)

      Returns true if all the `caps2` are contained within the `caps1` array.
      Parameters:
        `caps1` - array of capabilities
        `caps2` - array of capabilities
      Returns:
        true if `caps2` is contained within `caps1`

Copyright © 2014. All Rights Reserved.